## net.sf.statcvs.pages
Class LogPageMaker

    java.lang.Object
      net.sf.statcvs.pages.LogPageMaker

    public class LogPageMaker

extends java.lang.Object

Constructor Summary
`LogPageMaker(ReportConfig config, int year, int month, java.util.Collection commits)` Creates a new LogPageMaker.

Method Summary
`static java.lang.String` `getAnchor(SymbolicName tag)`
`static java.lang.String` `getURL(java.util.Date date)`
`NavigationNode` `toFile()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogPageMaker

    public LogPageMaker(ReportConfig config,
                        int year,
                        int month,
                        java.util.Collection commits)

  Creates a new LogPageMaker.

  Parameters:
    `year` - The log page's year
    `month` - The log page's month (0 for January)
    `commits` - A list of commits; those not in the right month will be ignored
    `outputFormat` -

Method Detail

### getAnchor

    public static java.lang.String getAnchor(SymbolicName tag)

### getURL

    public static java.lang.String getURL(java.util.Date date)

### toFile

    public NavigationNode toFile()